- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | Public Attributes

# QPainter::PixmapFragment Class Reference

Search for all occurrences

## Detailed Description

Definition at line 102 of file qpainter.h.

`#include <qpainter.h>`

List of all members.

## Static Public Member Functions
static PixmapFragment Q_GUI_EXPORT | create (const QPointF &pos, const QRectF &sourceRect, qreal scaleX=1, qreal scaleY=1, qreal rotation=0, qreal opacity=1)
## Public Attributes
qreal | x
qreal | y
qreal | sourceLeft
qreal | sourceTop
qreal | width
qreal | height
qreal | scaleX
qreal | scaleY
qreal | rotation
qreal | opacity

## Member Function Documentation

static PixmapFragment Q_GUI_EXPORT create | ( | const QPointF & | pos,
|  | const QRectF & | sourceRect,
|  | qreal | scaleX = `1`,
|  | qreal | scaleY = `1`,
|  | qreal | rotation = `0`,
|  | qreal | opacity = `1`
| ) |  | `[static]`

Search for all occurrences

## Member Data Documentation

qreal x

Search for all occurrences

Definition at line 104 of file qpainter.h.

qreal y

Search for all occurrences

Definition at line 105 of file qpainter.h.

qreal sourceLeft

Search for all occurrences

Definition at line 106 of file qpainter.h.

qreal sourceTop

Search for all occurrences

Definition at line 107 of file qpainter.h.

qreal width

Search for all occurrences

Definition at line 108 of file qpainter.h.

qreal height

Search for all occurrences

Definition at line 109 of file qpainter.h.

qreal scaleX

Search for all occurrences

Definition at line 110 of file qpainter.h.

qreal scaleY

Search for all occurrences

Definition at line 111 of file qpainter.h.

qreal rotation

Search for all occurrences

Definition at line 112 of file qpainter.h.

qreal opacity

Search for all occurrences

Definition at line 113 of file qpainter.h.

The documentation for this class was generated from the following file:

- QtGui/qpainter.h

QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment
QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment QPainter::PixmapFragment